Subject: Re: [PATCH 1/8] tag: Remove a TODO item from the test suite

From: Junio C Hamano <[email-masked]>
Date: Sat, 18 Mar 2017 11:14:38 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Change the test for "git tag -l" to not have an associated TODO
> comment saying that it should return non-zero if there's no tags.
>
> This was added in commit ef5a6fb597 ("Add test-script for git-tag",
> 2007-06-28) when the tests for "tag" were initially added, but at this
> point changing this would be inconsistent with how "git tag" is a
> synonym for "git tag -l", and would needlessly break external code
> that relies on this porcelain command.

Makes sense.

I'll retitle s/Remove/remove/ so that "git shortlog --no-merges"
would look more consistent, though.

Thanks.